/**
 * @author Ikryanov Vladimir
 */
package com.jniwrapper.win32.ie.samples.demo.components;

import java.util.*;

public class CaptureDataManager
{
    private static CaptureDataManager instance;

    private List captureDatas = Collections.synchronizedList(new LinkedList());

    private CaptureDataManager()
    {
    }

    public synchronized void updateCaptureData(int index, CaptureData data)
    {
        try
        {
            captureDatas.set(index, data);
        }
        catch (Exception e)
        {
            captureDatas.add(index, data);
        }
    }

    public synchronized void removeCaptureData(int index)
    {
        captureDatas.remove(index);
    }

    public synchronized CaptureData getCaptureData(int index)
    {
        return (index >= 0 && index < captureDatas.size()) ? (CaptureData) captureDatas.get(index) : null;
    }

    public static CaptureDataManager getInstance()
    {
        return instance == null ? instance = new CaptureDataManager() : instance;
    }
}
